<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".MBTI"
    android:background="@drawable/background_very_light"
    >

    <TextView
        android:id="@+id/tracker"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:textSize="@dimen/header_2_size"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        />

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginStart="@dimen/width_margin_text"
        android:layout_marginTop="@dimen/top_margin_text"
        android:layout_marginEnd="@dimen/width_margin_text"
        android:layout_marginBottom="@dimen/top_margin_text"
        app:layout_constrainedHeight="true"
        app:layout_constraintBottom_toTopOf="@+id/Button_A"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        >

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            >
            <TextView
                android:id="@+id/MBTI_Question"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:textSize="@dimen/header_2_size"
                android:textFontWeight="500"
                app:layout_constraintTop_toTopOf="parent"
                />

            <TextView
                android:id="@+id/MBTI_Answer"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/top_margin_text"
                android:gravity="center"
                android:textSize="@dimen/text_body_size"
                app:layout_constraintTop_toBottomOf="@id/MBTI_Question"
                />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </ScrollView>


    <Button
        android:id="@+id/Button_A"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="150dp"
        android:text="А"
        android:textFontWeight="500"
        android:textSize="@dimen/header_size"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toStartOf="@id/Button_B"
        app:layout_constraintBottom_toBottomOf="parent"
        android:background="@drawable/hexagon_button"
        />

    <Button
        android:id="@+id/Button_B"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Б"
        android:textFontWeight="500"
        android:textSize="@dimen/header_size"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/Button_A"
        app:layout_constraintTop_toTopOf="@+id/Button_A"
        android:background="@drawable/hexagon_button"
        />

    <Button
        android:id="@+id/home"
        style="@style/Widget.AppCompat.Button.Borderless"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:text="@string/toMain"
        android:textFontWeight="500"
        android:textColor="@color/colorAccent"
        android:textSize="@dimen/header_size"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        />

</androidx.constraintlayout.widget.ConstraintLayout>